<div class="row">
  <div class="col-lg-12 col-md-12">
    <ol class="breadcrumb">
      <li>
        <a ui-sref="nav.projects">Dashboard</a>
      </li>
      <li>
        <a ui-sref="nav.project.sprints({project_id: project.id})">Project's View - Sprints</a>
      </li>
      <li class="active">
        <a ui-sref="nav.sprint({project_id:project.id, id: sprint.id})">Add tasks to sprint</a>
      </li>
    </ol>
  </div>
</div>
<span ng-if="loading == true">
  <center style="margin-top: 100px;">
    <%= image_tag "spiner.gif" %>
  </center>
</span>
<span ng-if="loading == false">
  <div class="row">
    <div class="col-md-12 col-lg-12">
      <dl class="dl-horizontal">
        <dt>Sprint
        </dt>
        <dd>{{sprint.name}}</dd>
        <dt>Start with date
        </dt>
        <dd>{{sprint.start_date}}</dd>
        <dt>End with date
        </dt>
        <dd>{{sprint.end_date}}</dd>

        <dt>Project</dt>
        <dd>{{project.name}}</dd>
      </dl>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 col-lg-12">
      <div class="col-md-6 col-lg-6">
        <h3>
          <strong>Add tasks to sprint</strong>
        </h3>
      </div>
      <div class="col-md-6 col-lg-6">
        <h5>
          <strong>Sprint estimated time:
          </strong>
          {{ est.sprint }}
        </h5>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-6 col-md-6">
        <div class="panel panel-default">
          <div class="panel-heading">
            <i class="fa fa-list"></i>
            {{lists.unsigned.name}}
          </div>
          <div class="panel-body">
            <ul class="list-group" dnd-list="lists.unsigned.items" style="min-height: 60px; list-style-type: none;">
              <li
                style="list-style-type: none;"
                ng-repeat="item in lists.unsigned.items | orderBy:['+priority','-kind']"
                ng-class="item.status == 'Created' ? 'bs-callout bs-callout-default': item.status == 'InProgres' ? 'bs-callout bs-callout-info':'bs-callout bs-callout-success' "
                dnd-draggable="item"
                dnd-moved="addTaskToSprint(item, $index)"
                dnd-effect-allowed="move"
                dnd-selected="models.selected = item"
                ng-class="{'selected': models.selected === item}">
                <span ng-class="item.kind == 'Task' ? 'label label-primary' : 'label label-default'">
                  {{item.kind}}
                </span>&nbsp - &nbsp
                <span ng-class="item.priority == 1 ? 'label label-info' : item.priority == 2 ? 'label label-warning' : 'label label-danger'">
                  {{item.priority}}
                </span>&nbsp
                <a ui-sref="nav.task({project_id: item.project_id, task_id: item.id})">{{item.name}}</a>&nbsp
                <span ng-class="item.estimation == null ? 'label label-danger' : 'label label-success'">
                  <span = ng-show="item.estimation != null">Estimante: {{ item.estimation }}</span>
                  <span = ng-show="item.estimation == null">Has no estimation yet!</span>
                </span>
              </li>
            </ul>
          </div>
        </div>
      </div>

      <div class="col-lg-6 col-md-6">
        <div class="panel panel-default">
          <div class="panel-heading">
            <i class="fa fa-list"></i>
            {{lists.signed.name}}
            <span class="pull-right">
              <button class="btn btn-success btn-xs" data-toggle="modal" data-target="#myModal1">
                <i class="fa fa-plus" aria-hidden="true"></i>
              </button>
            </span>
          </div>
          <div class="panel-body">
            <ul class="list-group" dnd-list="lists.signed.items" style="min-height: 60px; list-style-type: none;">
              <li
                style="list-style-type: none;"
                ng-repeat="item in lists.signed.items | orderBy:['+priority','-kind']"
                ng-class="item.status == 'Created' ? 'bs-callout bs-callout-default': item.status == 'InProgres' ? 'bs-callout bs-callout-info':'bs-callout bs-callout-success' "
                dnd-draggable="item"
                dnd-moved="removeTaskFromSprint(item, $index)"
                dnd-effect-allowed="move"
                dnd-selected="models.selected = item"
                ng-class="{'selected': models.selected === item}">
                <span ng-class="item.kind == 'Task' ? 'label label-primary' : 'label label-default'">
                  {{item.kind}}
                </span>&nbsp - &nbsp
                <span ng-class="item.priority == 1 ? 'label label-info' : item.priority == 2 ? 'label label-warning' : 'label label-danger'">
                  {{item.priority}}
                </span>&nbsp
                <a ui-sref="nav.task({project_id: item.project_id, task_id: item.id})">{{item.name}}</a>&nbsp
                <span ng-class="item.estimation == null ? 'label label-danger' : 'label label-success'">
                  <span = ng-show="item.estimation != null">Estimante: {{ item.estimation }}</span>
                  <span = ng-show="item.estimation == null">Has no estimation yet!</span>
                </span>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="myModal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
          <h4 class="modal-title" id="myModalLabel">New Task</h4>
        </div>
        <div class="modal-body">
          <taskform></taskform>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-success" data-dismiss="modal" ng-click="addTask()">Add</button>
        </div>
      </div>
    </div>
    <!-- /.modal-dialog -->
  </div>
</span>
